<?php

/*
 * This file is part of rap
 * Copyright (C) 2021 Istituto Nazionale di Astrofisica
 * SPDX-License-Identifier: GPL-3.0-or-later
 */

namespace RAP;

abstract class AuthenticationMethods {

    const EDU_GAIN = "eduGAIN";
    const ORCID = "OrcID";
    const X509 = "X.509";
    const GOOGLE = "Google";
    const LINKED_IN = "LinkedIn";
    const FACEBOOK = "Facebook";
    const LOCAL_IDP = "LocalIdP";

    public static function getAllMethods() {
        return [
            AuthenticationMethods::EDU_GAIN,
            AuthenticationMethods::ORCID,
            AuthenticationMethods::X509,
            AuthenticationMethods::GOOGLE,
            AuthenticationMethods::LINKED_IN,
            AuthenticationMethods::FACEBOOK,
            AuthenticationMethods::LOCAL_IDP
        ];
    }

}
